Bug 1729037 - python-django-avatar fails to build in Fedora 31 / rawhide [NEEDINFO]
Summary: python-django-avatar fails to build in Fedora 31 / rawhide
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django-avatar
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Praveen Kumar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-11 09:08 UTC by Miro Hrončok
Modified: 2019-09-16 08:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 08:47:45 UTC
mhroncok: needinfo? (kumarpraveen.nitdgp)


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-11 09:08:24 UTC
python-django-avatar fails to build:

+ python3-coverage run /usr/lib/python3.8/site-packages/django/bin/django-admin.py test tests
E
======================================================================
ERROR: tests.tests (unittest.loader._FailedTest)
----------------------------------------------------------------------
ImportError: Failed to import test module: tests.tests
Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/django/apps/registry.py", line 155, in get_app_config
    return self.app_configs[app_label]
KeyError: 'admin'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.8/unittest/loader.py", line 436, in _find_test_path
    module = self._get_module_from_name(name)
  File "/usr/lib64/python3.8/unittest/loader.py", line 377, in _get_module_from_name
    __import__(name)
  File "/builddir/build/BUILD/django-avatar-4.1.0/tests/tests.py", line 13, in <module>
    from avatar.admin import AvatarAdmin
  File "/builddir/build/BUILD/django-avatar-4.1.0/avatar/admin.py", line 34, in <module>
    admin.site.register(Avatar, AvatarAdmin)
  File "/usr/lib/python3.8/site-packages/django/utils/functional.py", line 256, in inner
    self._setup()
  File "/usr/lib/python3.8/site-packages/django/contrib/admin/sites.py", line 529, in _setup
    AdminSiteClass = import_string(apps.get_app_config('admin').default_site)
  File "/usr/lib/python3.8/site-packages/django/apps/registry.py", line 162, in get_app_config
    raise LookupError(message)
LookupError: No installed app with label 'admin'.


----------------------------------------------------------------------
Ran 1 test in 0.000s

FAILED (errors=1)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00967626-python-django-avatar/


This is not Python 3.8 related, but it blocks the Python 3.8 rebuild.

A scratchbuild fails in rawhide as well: https://koji.fedoraproject.org/koji/taskinfo?taskID=36182152

For all our attempts to build python-django-avatar with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-django-avatar/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Miro Hrončok 2019-07-30 15:07:03 UTC
Praveen? Could you have a look please?

Comment 2 Ben Cotton 2019-08-13 18:44:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Miro Hrončok 2019-08-14 22:24:52 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 4 Miro Hrončok 2019-08-21 16:35:39 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 5 Miro Hrončok 2019-08-21 17:29:37 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 6 Miro Hrončok 2019-09-16 08:47:45 UTC
The package was retired in the meantime.


Note You need to log in before you can comment on or make changes to this bug.